%{?nodejs_find_provides_and_requires}

%global packagename ambi
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 2.5.0
Release: 1%{?dist}.3
Summary: Execute a function ambidextrously (normalizes the differences between synchronous and asynchronous functions)
License: MIT
URL: https://github.com/bevry/ambi
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: https://github.com/bevry/ambi/raw/v%{version}/source/test.js
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(editions) >= 1.1.1
BuildRequires: npm(editions) < 2.0.0
BuildRequires: npm(typechecker) >= 4.3.0
BuildRequires: npm(typechecker) < 5.0.0
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.2.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.6.0
BuildRequires: npm(joe) < 2.0.0
%endif

%description
Execute a function ambidextrously (normalizes the differences between
synchronous and asynchronous functions).
Useful for treating synchronous functions as asynchronous functions
(like supporting both synchronous and asynchronous event definitions
automatically).


%prep
%setup -q -n package
cp %{SOURCE1} source
cp %{SOURCE1} es2015


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js es2015 source \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node --harmony -e "require('editions').requirePackage(process.cwd(), require, 'test.js')"
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 2.5.0-1
- Initial package.
